Subject: Re: fatal: Could not get current working directory: Permission denied | affected 2.10,2.11,2.12, but not 1.9.5 |

From: Zenobiusz Kunegunda <[email-masked]>
Date: Thu, 09 Mar 2017 12:01:39 +0100

OK, I printed euids inside function calling getcwd(). 
Every single EUID is the same and have expected value. The same as any other local application run by this user. Permissions of every directory in the path are OK. 

/bin/pwd -P inside directory returned exact path and exited with exit status 0.

Od: "René Scharfe" &lt;[email-masked]>
Do: "Zenobiusz Kunegunda" &lt;[email-masked]>; 
Wysłane: 18:38 Środa 2017-03-08
Temat: Re: fatal: Could not get current working directory: Permission denied | affected 2.10,2.11,2.12, but not 1.9.5 |

> 
>> Am 06.03.2017 um 17:10 schrieb Zenobiusz Kunegunda:
>> OS: FreeBSD 10.3-STABLE
>>
>> Story: I was trying to install openproject using this manual
>> https://www.openproject.org/open-source/download/manual-installation-guide/
>>
>>  Everything was fine till command $ bundle install --deployment
>> --without postgres sqlite development test therubyracer docker
>>
>> works witg git version: 1.9.5 ( branch from repo ) does not work with
>> git version: 2.10 ( branch from from repo ) 2.11 ( both from FreeBSD
>> and from git repository) 2.12 ( branch from repo )
>>
>> On another server that passed but there was npm problem.
>>
>> This is error for $ bundle install --deployment --without postgres
>> sqlite development test therubyracer docker
> 
> I suspect you might get better responses from the makers of bundler 
> (http://bundler.io/, http://groups.google.com/group/ruby-bundler).
> 
>> Fetching dependency metadata from https://rubygems.org/. fatal: Could
>> not get current working directory: Permission denied
>>
>> Retrying `git fetch --force --quiet --tags
>> "/usr/home/USER/openproject/vendor/bundle/ruby/2.2.0/cache/bundler/git/awesome_nested_set-209215f38dc7f6765d32201897f8688e973f4de7"`
>> due to error (2/4): Bundler::Source::Git::GitCommandError Git error:
>> command `git fetch --force --quiet --tags
>> "/usr/home/USER/openproject/vendor/bundle/ruby/2.2.0/cache/bundler/git/awesome_nested_set-209215f38dc7f6765d32201897f8688e973f4de7"`
>> in directory
>> /usr/home/USER/openproject/vendor/bundle/ruby/2.2.0/bundler/gems/awesome_nested_set-7bd473e845e2
>> has failed. If this error persists you could try removing the cache
>> directory
>> '/usr/home/USER/openproject/vendor/bundle/ruby/2.2.0/cache/bundler/git/awesome_nested_set-209215f38dc7f6765d32201897f8688e973f4de7'fatal:
>> Could not get current working directory: Permission denied
> 
> These long and repetitive messages make me feel dizzy.  So git fetch was 
> executed in 
> "/usr/home/USER/openproject/vendor/bundle/ruby/2.2.0/bundler/gems/awesome_nested_set-7bd473e845e2" 
> and reported that it was not allowed to get the current working 
> directory, right?  That's odd.
> 
> I suspect that older versions of git ignored the error, used an empty 
> string and went with that instead of an absolute path, but that's just a 
> guess.
> 
> Was git perhaps started by bundler under a different user ID?  You could 
> check that e.g. by printing the return value of geteuid(2).
> 
> "/bin/pwd -P" executed in the same directory under the same user ID as 
> git should error out and report "Permission denied" as well.  Are the 
> permissions bits and ACLs for that directory and its parents OK?
> 
> Thanks,
> René
> 
>